Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.jaas
Class JAASGroup

    java.lang.Object
      org.mortbay.jetty.plus.jaas.JAASGroup

All Implemented Interfaces:
  java.security.acl.Group, java.security.Principal

    public class JAASGroup

extends java.lang.Object
implements java.security.acl.Group

Field Summary
`static java.lang.String` | `ROLES`

Constructor Summary
`JAASGroup(java.lang.String n)`

Method Summary
`boolean` | `addMember(java.security.Principal principal)`
`boolean` | `equals(java.lang.Object object)`
`java.lang.String` | `getName()`
`int` | `hashCode()`
`boolean` | `isMember(java.security.Principal principal)`
`java.util.Enumeration` | `members()`
`boolean` | `removeMember(java.security.Principal principal)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ROLES

    public static final java.lang.String ROLES

See Also:
  Constant Field Values

Constructor Detail

### JAASGroup

    public JAASGroup(java.lang.String n)

Method Detail

### addMember

    public boolean addMember(java.security.Principal principal)

  Specified by:
    `addMember` in interface `java.security.acl.Group`
  Parameters:
    `principal` -
  Returns:

### removeMember

    public boolean removeMember(java.security.Principal principal)

  Specified by:
    `removeMember` in interface `java.security.acl.Group`
  Parameters:
    `principal` -
  Returns:

### isMember

    public boolean isMember(java.security.Principal principal)

  Specified by:
    `isMember` in interface `java.security.acl.Group`
  Parameters:
    `principal` -
  Returns:

### members

    public java.util.Enumeration members()

  Specified by:
    `members` in interface `java.security.acl.Group`
  Returns:

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.security.Principal`
  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:

### equals

    public boolean equals(java.lang.Object object)

  Specified by:
    `equals` in interface `java.security.Principal`
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `object` -
  Returns:

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `java.security.Principal`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `java.security.Principal`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.